<div class="list">
  <div class="list-search">
    <Input @value={{this.query}} class="light" placeholder="Search artist name" />
  </div>
  <ul class="unstyled-list ">
    <ArtistList::Filter @artists={{@artists}} @query={{this.query}} as |results|>
      {{#each results as |artist|}}
        <li>
          <ArtistListElement @artist={{artist}} @onRemove={{fn this.removeArtist artist}} />
        </li>
      {{/each}}
    </ArtistList::Filter>
  </ul>
</div>